%{?nodejs_find_provides_and_requires}

%global packagename string.prototype.trim
%global enable_tests 0
# tests disabled until we bootstrap npm(tape)

Name:		nodejs-string-dot-prototype-dot-trim
Version:	1.1.1
Release:	1%{?dist}
Summary:	ES5 spec-compliant shim for String.prototype.trim

License:	MIT
URL:		https://github.com/es-shims/String.prototype.trim.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz

ExclusiveArch:	%{nodejs_arches} noarch
BuildArch:	noarch

BuildRequires:	nodejs-packaging
%if 0%{?enable_tests}
BuildRequires:	npm(define-properties)
%endif

Requires:	nodejs

%description
ES5 spec-compliant shim for String.prototype.trim


%prep
%setup -q -n package



%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
/usr/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%license LICENSE
%{nodejs_sitelib}/%{packagename}



%changelog
* Mon Oct 26 2015 Jared Smith <jsmith@fedoraproject.org> - 1.1.1-1
- Initial packaging
